Loading...
Searching...
No Matches
AbcTolerancesEtc Class Reference

`#include <CoinAbcCommon.hpp>`

## Public Member Functions

Constructors and destructors
| AbcTolerancesEtc ()
| Default Constructor.
| AbcTolerancesEtc (const ClpSimplex *model)
| Useful Constructors.
| AbcTolerancesEtc (const AbcSimplex *model)
| AbcTolerancesEtc (const AbcTolerancesEtc &)
| Copy constructor.
AbcTolerancesEtc & | operator= (const AbcTolerancesEtc &rhs)
| Assignment operator.
| ~AbcTolerancesEtc ()
| Destructor.

## Public Attributes

Public member data
double | zeroTolerance_
| Zero tolerance.
double | primalToleranceToGetOptimal_
| Primal tolerance needed to make dual feasible (<largeTolerance).
double | largeValue_
| Large bound value (for complementarity etc).
double | alphaAccuracy_
| For computing whether to re-factorize.
double | dualBound_
| Dual bound.
double | dualTolerance_
| Current dual tolerance for algorithm.
double | primalTolerance_
| Current primal tolerance for algorithm.
double | infeasibilityCost_
| Weight assigned to being infeasible in primal.
double | incomingInfeasibility_
| For advanced use.
double | allowedInfeasibility_
int | baseIteration_
| Iteration when we entered dual or primal.
int | numberRefinements_
| How many iterative refinements to do.
int | forceFactorization_
| Now for some reliability aids This forces re-factorization early.
int | perturbation_
| Perturbation: -50 to +50 - perturb by this power of ten (-6 sounds good) 100 - auto perturb if takes too long (1.0e-6 largest nonzero) 101 - we are perturbed 102 - don't try perturbing again default is 100.
int | dontFactorizePivots_
| If may skip final factorize then allow up to this pivots (default 20).
int | maximumPivots_
| For factorization Maximum number of pivots before factorization.

## Detailed Description

Definition at line 254 of file CoinAbcCommon.hpp.

## Constructor & Destructor Documentation

## AbcTolerancesEtc() [1/4]

AbcTolerancesEtc::AbcTolerancesEtc | ( |  | ) |

Default Constructor.

## AbcTolerancesEtc() [2/4]

AbcTolerancesEtc::AbcTolerancesEtc | ( | const ClpSimplex * | model | ) |

Useful Constructors.

## AbcTolerancesEtc() [3/4]

AbcTolerancesEtc::AbcTolerancesEtc | ( | const AbcSimplex * | model | ) |

## AbcTolerancesEtc() [4/4]

AbcTolerancesEtc::AbcTolerancesEtc | ( | const AbcTolerancesEtc & |  | ) |

Copy constructor.

## ~AbcTolerancesEtc()

AbcTolerancesEtc::~AbcTolerancesEtc | ( |  | ) |

Destructor.

## Member Function Documentation

## operator=()

AbcTolerancesEtc & AbcTolerancesEtc::operator= | ( | const AbcTolerancesEtc & | rhs | ) |

Assignment operator.

## Member Data Documentation

## zeroTolerance_

double AbcTolerancesEtc::zeroTolerance_

Zero tolerance.

Definition at line 282 of file CoinAbcCommon.hpp.

## primalToleranceToGetOptimal_

double AbcTolerancesEtc::primalToleranceToGetOptimal_

Primal tolerance needed to make dual feasible (<largeTolerance).

Definition at line 284 of file CoinAbcCommon.hpp.

## largeValue_

double AbcTolerancesEtc::largeValue_

Large bound value (for complementarity etc).

Definition at line 286 of file CoinAbcCommon.hpp.

## alphaAccuracy_

double AbcTolerancesEtc::alphaAccuracy_

For computing whether to re-factorize.

Definition at line 288 of file CoinAbcCommon.hpp.

## dualBound_

double AbcTolerancesEtc::dualBound_

Dual bound.

Definition at line 290 of file CoinAbcCommon.hpp.

## dualTolerance_

double AbcTolerancesEtc::dualTolerance_

Current dual tolerance for algorithm.

Definition at line 292 of file CoinAbcCommon.hpp.

## primalTolerance_

double AbcTolerancesEtc::primalTolerance_

Current primal tolerance for algorithm.

Definition at line 294 of file CoinAbcCommon.hpp.

## infeasibilityCost_

double AbcTolerancesEtc::infeasibilityCost_

Weight assigned to being infeasible in primal.

Definition at line 296 of file CoinAbcCommon.hpp.

## incomingInfeasibility_

double AbcTolerancesEtc::incomingInfeasibility_

For advanced use.

When doing iterative solves things can get nasty so on values pass if incoming solution has largest infeasibility < incomingInfeasibility throw out variables from basis until largest infeasibility < allowedInfeasibility. if allowedInfeasibility>= incomingInfeasibility this is always possible altough you may end up with an all slack basis.

Defaults are 1.0,10.0

Definition at line 306 of file CoinAbcCommon.hpp.

## allowedInfeasibility_

double AbcTolerancesEtc::allowedInfeasibility_

Definition at line 307 of file CoinAbcCommon.hpp.

## baseIteration_

int AbcTolerancesEtc::baseIteration_

Iteration when we entered dual or primal.

Definition at line 309 of file CoinAbcCommon.hpp.

## numberRefinements_

int AbcTolerancesEtc::numberRefinements_

How many iterative refinements to do.

Definition at line 311 of file CoinAbcCommon.hpp.

## forceFactorization_

int AbcTolerancesEtc::forceFactorization_

Now for some reliability aids This forces re-factorization early.

Definition at line 314 of file CoinAbcCommon.hpp.

## perturbation_

int AbcTolerancesEtc::perturbation_

Perturbation: -50 to +50 - perturb by this power of ten (-6 sounds good) 100 - auto perturb if takes too long (1.0e-6 largest nonzero) 101 - we are perturbed 102 - don't try perturbing again default is 100.

Definition at line 322 of file CoinAbcCommon.hpp.

## dontFactorizePivots_

int AbcTolerancesEtc::dontFactorizePivots_

If may skip final factorize then allow up to this pivots (default 20).

Definition at line 324 of file CoinAbcCommon.hpp.

## maximumPivots_

int AbcTolerancesEtc::maximumPivots_

For factorization Maximum number of pivots before factorization.

Definition at line 327 of file CoinAbcCommon.hpp.

The documentation for this class was generated from the following file:

- Clp/src/CoinAbcCommon.hpp